"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const cssUtils = require("@vanilla-extract/css-utils");
const styles_lib_themes_vars_css_cjs = require("../../themes/vars.css.cjs");
__vanilla_filescope__.setFileScope("src/lib/components/Accordion/AccordionItem.css.ts", "braid-design-system");
const button = css.style({}, "button");
const focusRing = css.style({
  top: cssUtils.calc.negate(styles_lib_themes_vars_css_cjs.vars.space.xsmall),
  bottom: cssUtils.calc.negate(styles_lib_themes_vars_css_cjs.vars.space.xsmall),
  left: cssUtils.calc.negate(styles_lib_themes_vars_css_cjs.vars.space.xxsmall),
  right: cssUtils.calc.negate(styles_lib_themes_vars_css_cjs.vars.space.xxsmall),
  selectors: {
    [`${button}:focus ~ &`]: {
      opacity: 1
    }
  }
}, "focusRing");
__vanilla_filescope__.endFileScope();
exports.button = button;
exports.focusRing = focusRing;
